Bug 69955 - CDROM installation of OS failure.
CDROM installation of OS failure.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 16:35 EDT by Need Real Name
Modified: 2006-02-21 13:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the copy to floppy of anaconda traceback description of the error. pressing 'debug' option had no effect. (12.00 KB, text/plain)
2002-07-26 16:47 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-26 16:35:05 EDT
Description of Problem:  Anaconda shuts down clean OS install at languages download to drive from CD rom packages.


Version-Release number of selected component (if applicable):


How Reproducible:  Install 7.3 on clean drive as only OS


Steps to Reproduce:
1. CDROM clean install Red Hat 7.3 on seagate 6.8GB HD
2. follow GUI install through partition
3. attempt to load languages to be available to a work station OS

Actual Results:  TypeError: Could not create map view -- install aborts

here is the floppy record of Anaconda shut down:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 420, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 558, in setScreen
    new_screen = apply(self.currentWindow.getScreen, args)
  File "/usr/lib/anaconda/iw/timezone_gui.py", line 144, in getScreen
    tz = timezonemap.new (path)
TypeError: Could not create map view.

Local variables in innermost frame:
self: <timezone_gui.TimezoneWindow instance at 84664d8>
instLang: <language.InstallTimeLanguage instance at 835db48>
nb: <gtk.GtkNotebook instance at 84326e0>
mainBox: <gtk.GtkVBox instance at 84408a0>
timezone: <timezone.Timezone instance at 833e150>
f: <closed file '/usr/share/anaconda/pixmaps/map480.png', mode 'r' at 83beb98>
path: /usr/share/anaconda/pixmaps/map480.png


Dispatcher instance, containing members:
skipSteps: {'network': 1, 'reconfigwelcome': 1, 'addswap': 1, 'upgbootloader': 1, 'indivpackage': 1, 'upgrademigratefs': 1, 'findpackages': 1, 
'reconfigkeyboard': 1, 'makebootdisk': 1, 'authentication': 1, 'upgrademount': 1, 'confirmupgrade': 1, 'fdisk': 1, 'upgradeswapsuggestion': 1, 
'upgrademigfind': 1, 'findinstall': 1, 'findrootparts': 1, 'reconfigcomplete': 1, 'upgradecontinue': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red 
Hat Linux}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: [English (USA)]
    langNicks: None
    default: English (USA)
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso15', 'lat0-sun16'), 'Spanish (Argentina)': ('es_AR', 'iso15', 'lat0-sun16'), 'Italian (Italy)': 
('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)': ('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)': ('es_GT', 'iso15', 'lat0-sun16'), 
'Malay (Malaysia)':('ms_MY', 'iso15', 'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': ('ar_LY', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM', 
'iso06', 'LatArCyrHeb-16'), 'Arabic (Iraq)': ('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)': ('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South 
Africa)': ('en_ZA', 'iso15', 'lat0-sun16'), 'French (Switzerland)': ('fr_CH', 'iso15', 'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH', 'iso06', 'LatArCyrHeb-16'), 
'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'), 'French (France)': ('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic (Greenland)': ('kl_GL', 'iso15', 
'lat0-sun16'), 'Korean (Republic of Korea)': ('ko_KR.eucKR', 'iso15', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 'cyr-sun16'), 'Spanish (Mexico)': 
('es_MX', 'iso15', 'lat0-sun16'), 'Greek': ('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV', 'iso15', 'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 
'iso15', 'lat0-sun16'), 'Spanish (Honduras)': ('es_HN', 'iso15', 'lat0-sun16'), 'Chinese (Taiwan)': ('zh_TW.Big5', 'iso15', 'lat0-sun16'), 'Spanish (Costa 
Rica)': ('es_CR', 'iso15', 'lat0-sun16'), 'Dutch (Netherlands)': ('nl_NL@euro', 'iso15', 'lat0-sun16'), 'Serbian (Yugoslavia)': ('sr_YU', 'iso02', 
'lat2-sun16'), 'Bosnian (Bosnia and Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA', 'koi8-u', 'cyr-sun16'), 'Portuguese 
(Portugal)': ('pt_PT@euro', 'iso15', 'lat0-sun16'), 'Afrikaans (South Africa)': ('af_ZA', 'iso15', 'lat0-sun16'), 'Norwegian': ('no_NO', 'iso15', 'lat0-sun16'), 
'Arabic (Morocco)': ('ar_MA', 'iso06', 'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH', 'iso15', 'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06', 
'LatArCyrHeb-16'), 'Indonesian': ('id_ID', 'iso15', 'lat0-sun16'), 'Danish': ('da_DK.iso885915', 'iso15', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 
'iso15', 'lat0-sun16'), 'Faroese (Faroe Islands)': ('fo_FO', 'iso15', 'lat0-sun16'), 'Galician (Spain)': ('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New 
Zealand)': ('en_NZ', 'iso15', 'lat0-sun16'), 'Spanish (Bolivia)': ('es_BO', 'iso15', 'lat0-sun16'), 'Cornish (Britain)': ('kw_GB', 'iso15', 'lat0-sun16'), 'Arabic 
(United Arab Emirates)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)': ('es_NI', 'iso15', 'lat0-sun16'), 'German (Austria)': ('de_AT@euro', 
'iso15', 'lat0-sun16'), 'Romanian': ('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish (Paraguay)': ('es_PY', 'iso15', 'lat0-sun16'), 'Hebrew (Israel)': ('he_IL', 
'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': ('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish (USA)': ('es_US', 'iso15', 'lat0-sun16'), 'Portuguese 
(Brasil)': ('pt_BR', 'iso15', 'lat0-sun16'), 'Spanish (Equador)': ('es_EC', 'iso15', 'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak': ('sk_SK', 
'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05', 'cyr-sun16'), 'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)':('es_CL', 
'iso15', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': ('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-sun16'), 'Irish': ('ga_IE@euro', 
'iso15', 'lat0-sun16'), 'Arabic (Jordan)': ('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian (Switzerland)': ('it_CH', 'iso15', 'lat0-sun16'), 'German (Belgium)': 
('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': ('sq_AL', 'iso15', 'lat0-sun16'), 'Occitan (France)': ('oc_FR', 'iso15', 'lat0-sun16'), 'Finnish': 
('fi_FI@euro', 'iso15', 'lat0-sun16'), 'Swedish (Sweden)': ('sv_SE.iso885915', 'iso15', 'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso15', 
'lat0-sun16'), 'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)': ('es_PA', 'iso15', 'lat0-sun16'), 'Spanish (Venezuela)': 
('es_VE', 'iso15', 'lat0-sun16'), 'English (Great Britain)': ('en_GB.iso885915', 'iso15', 'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-u', 'cyr-sun16'), 
'Norwegian, Nynorsk (Norway)': ('nn_NO', 'iso15', 'lat0-sun16'), 'Walloon (Belgium)': ('wa_BE@euro', 'iso15', 'lat0-sun16'), 'English (Zimbabwe)': 
('en_ZW', 'iso15', 'lat0-sun16'), 'English (USA)': ('en_US.iso885915', 'iso15', 'lat0-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso15', 'lat0-sun16'), 'Breton 
(France)': ('br_FR', 'iso15', 'lat0-sun16'), 'Chinese (P.R. of China)': ('zh_CN.GB18030', 'iso15', 'lat0-sun16'), 'Arabic (Yemen)': ('ar_YE', 'iso06', 
'LatArCyrHeb-16'), 'Basque (Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)': ('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': 
('ar_EG', 'iso06', 'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15', 'lat0-sun16'), 'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'), 
'Hungarian': ('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)': ('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro', 'iso15', 
'lat0-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso15', 'lat0-sun16'), 'Uzbek (Uzbekistan)': ('uz_UZ', 'iso15', 'lat0-sun16'), 'Swedish (Finland)': ('sv_FI@euro', 
'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)': ('es_DO', 'iso15', 'lat0-sun16'), 
'French (Canada)': ('fr_CA', 'iso15', 'lat0-sun16'), 'English (Canada)': ('en_CA', 'iso15', 'lat0-sun16'), 'German (Germany)': ('de_DE@euro', 'iso15', 
'lat0-sun16'), 'Slovenian (Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)': ('es_UY', 'iso15', 'lat0-sun16'), 'German (Switzerland)': 
('de_CH', 'iso15', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso15', 'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso15', 'lat0-sun16'), 'Catalan 
(Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto Rico)': ('es_PR', 'iso15', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-sun16'), 
'Estonian': ('et_EE', 'iso15', 'lat0-sun16'), 'Arabic (Sudan)': ('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS', 'iso15', 'lat0-sun16'), 'English 
(Botswana)': ('en_BW', 'iso15', 'lat0-sun16'), 'Manx Gaelic (Britain)': ('gv_GB', 'iso15', 'lat0-sun16')}
    info: {'SYSFONT': lat0-sun16, 'SUPPORTED': en_US.iso885915:en_US:en, 'SYSFONTACM': iso15, 'LANG': en_US.iso885915}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hdb': <PedDisk object at 83acf68>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat 
Linux}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Chinese(Traditional)': us, 'Korean': us, 'Russian': ru, 'English': us, 'Spanish': es, 'Norwegian': no-latin1, 'Swedish': se-latin1, 
'French': fr-latin1, 'Japanese': jp106, 'Slovenian': slovene, 'Romanian': ro, 'Czech': cz-lat2, 'Ukrainian': ua, 'Chinese(Simplified)': us, 'Portuguese': 
pt-latin1, 'German': de-latin1-nodeadkeys, 'Danish': us, 'Icelandic': is-latin1}
    font: {'Italian': lat0-sun16, 'Chinese(Traditional)': None, 'Korean': None, 'Russian': cyr-sun16, 'English': default8x16, 'Spanish': lat0-sun16, 
'Norwegian': lat0-sun16, 'Swedish': lat0-sun16, 'French': lat0-sun16, 'Japanese': Kon, 'Slovenian': lat2-sun16, 'Romanian': lat2-sun16, 'Czech': 
lat2-sun16, 'Ukrainian': cyr-sun16, 'Chinese(Simplified)': None, 'Portuguese': lat0-sun16, 'German': lat0-16, 'Danish': lat0-sun16, 'Icelandic': 
lat0-sun16}
    langNicks: {'Italian': it_IT, 'Chinese(Traditional)': zh_TW.Big5, 'Korean': ko_KR.eucKR, 'Russian': ru_RU.koi8r, 'English': en_US, 'Spanish': es_ES, 
'Norwegian': no_NO, 'Swedish': sv_SE, 'French': fr_FR, 'Japanese': ja_JP.eucJP, 'Slovenian': sl_SI, 'Romanian': ro_RO, 'Czech': cs_CZ, 'Ukrainian': 
uk_UA, 'Chinese(Simplified)': zh_CN.GB18030, 'Portuguese': pt_PT@euro, 'German': de_DE, 'Danish': da_DK, 'Icelandic': is_IS}
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, Danish, English, French, German, Icelandic, Italian, Japanese, Korean, Norwegian, 
Portuguese, Romanian, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Chinese(Traditional)': Asia/Taipei, 'Korean': Asia/Seoul, 'Russian': Europe/Moscow, 'English': America/New_York, 
'Spanish': Europe/Madrid, 'Norwegian': Europe/Oslo, 'Swedish': Europe/Stockholm, 'French': Europe/Paris, 'Japanese': Asia/Tokyo, 'Slovenian': 
Europe/Ljubljana, 'Romanian': Europe/Bucharest, 'Czech': Europe/Prague, 'Ukrainian': Europe/Kiev, 'Chinese(Simplified)': Asia/Shanghai, 
'Portuguese': Europe/Lisbon, 'German': Europe/Berlin, 'Danish': Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Chinese(Traditional)': None, 'Korean': None, 'Russian': koi8-r, 'English': iso01, 'Spanish': iso15, 'Norwegian': iso15, 
'Swedish': iso15, 'French': iso15, 'Japanese': None, 'Slovenian': iso02, 'Romanian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Chinese(Simplified)': 
None, 'Portuguese': iso15,'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 82da910>]
Primary Video Card Info:
device: None
descr : ATI|215CT [Mach64 CT]
server: XFree86
cardManf: ATI MACH64
vidRam: 2048
carddata: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati', 'NOCLOCKPROBE': '', 'CHIPSET': 'ati', 'VENDOR': 'ATI MACH64'}
devID: ATI Mach64
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {}
    mouse: FULLNAME="Generic - 2 Button Mouse (serial)"
MOUSETYPE="Microsoft"
XEMU3="yes"
XMOUSETYPE="Microsoft"

    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: device: None
descr : ATI|215CT [Mach64 CT]
server: XFree86
cardManf: ATI MACH64
vidRam: 2048
carddata: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati', 'NOCLOCKPROBE': '', 'CHIPSET': 'ati', 'VENDOR': 'ATI MACH64'}
devID: ATI Mach64
fbmodes: None
fbbpp: None

    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: None
monName: None
monID: Unprobed Monitor
fbmonSect: 
monHoriz: 31.5-48.5
monVert: 50-70

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    autoPartitionRequests: [mountpoint: /   type: ext2   uniqueID:None
  s                                                                                                                                                                                                                                                                      
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                         
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                  
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                           
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                    
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 

 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                                                                                                          
 
         
 
                                                                                                                                                                                                                                                                          
 
                                                                                                                                                                                            


Expected Results:


Additional Information:
Comment 1 Need Real Name 2002-07-26 16:47:15 EDT
Created attachment 67304 [details]
this is the copy to floppy of anaconda traceback description of the error.  pressing 'debug' option had no effect.
Comment 2 Michael Fulbright 2002-08-02 12:26:01 EDT
Please attach the entire anacdump.txt error log so we can help out.
Comment 3 Michael Fulbright 2002-08-23 11:50:33 EDT
Closing due to inactivity. Please reopen if you have information to add to the
report.
Comment 4 Red Hat Bugzilla 2006-02-21 13:49:18 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.